> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# CancelTransaction

> CancelTransaction is called by the provider to cancel a transaction sent from this wallet.



## OpenAPI

````yaml /v1.2.x/api-reference/debug-openapi-spec.json post /v1/debug/cancel_transaction/{txHash}
openapi: 3.0.0
info:
  title: Debug API
  version: 1.0.0
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/debug/cancel_transaction/{txHash}:
    post:
      summary: CancelTransaction
      description: >-
        CancelTransaction is called by the provider to cancel a transaction sent
        from this wallet.
      operationId: DebugService_CancelTransaction
      parameters:
        - name: txHash
          description: >-
            Hex string encoding of the hash of the transaction that the bidder
            wants to cancel.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1CancelTransactionResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1CancelTransactionResponse:
      type: object
      example:
        txHash: 71c1348f2d7ff7e814f9c3617983703435ea7446de420aeac488bf1de35737e8
      properties:
        txHash:
          type: string
          description: >-
            Hex string encoding of the hash of the transaction that the bidder
            wants to cancel.
          pattern: '[a-fA-F0-9]{64}'
      description: Hash of the cancellation transaction request.
      title: Cancel response
      required:
        - txHash
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````